Bug 966478 - [abrt] mercurial-2.5.2-1.fc19: subversion.py:584:findchanges:TypeError: 'NoneType' object is not iterable
[abrt] mercurial-2.5.2-1.fc19: subversion.py:584:findchanges:TypeError: 'None...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mercurial (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
abrt_hash:738fb751388831738de96c3190f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 06:56 EDT by Alexander Ivanov
Modified: 2015-02-17 10:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:19:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.40 KB, text/plain)
2013-05-23 06:56 EDT, Alexander Ivanov
no flags Details
File: core_backtrace (1.78 KB, text/plain)
2013-05-23 06:56 EDT, Alexander Ivanov
no flags Details
File: environ (3.47 KB, text/plain)
2013-05-23 06:56 EDT, Alexander Ivanov
no flags Details

  None (edit)
Description Alexander Ivanov 2013-05-23 06:56:29 EDT
Version-Release number of selected component:
mercurial-2.5.2-1.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/bin/hg convert -v -A users.txt svn://192.168.1.101/warkeepers/
executable:     /usr/bin/hg
kernel:         3.9.3-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
subversion.py:584:findchanges:TypeError: 'NoneType' object is not iterable

Traceback (most recent call last):
  File "/usr/bin/hg", line 38, in <module>
    mercurial.dispatch.run()
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 28, in run
    sys.exit((dispatch(request(sys.argv[1:])) or 0) & 255)
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 65, in dispatch
    return _runcatch(req)
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 88, in _runcatch
    return _dispatch(req)
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 743, in _dispatch
    cmdpats, cmdoptions)
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 514, in runcommand
    ret = _runcommand(ui, options, cmd, d)
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 833, in _runcommand
    return checkargs()
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 804, in checkargs
    return cmdfunc()
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 740, in <lambda>
    d = lambda: util.checksignature(func)(ui, *args, **cmdoptions)
  File "/usr/lib64/python2.7/site-packages/mercurial/util.py", line 475, in check
    return func(*args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/hgext/convert/__init__.py", line 279, in convert
    return convcmd.convert(ui, src, dest, revmapfile, **opts)
  File "/usr/lib64/python2.7/site-packages/hgext/convert/convcmd.py", line 443, in convert
    opts.get('rev'))
  File "/usr/lib64/python2.7/site-packages/hgext/convert/convcmd.py", line 56, in convertsource
    return source(ui, path, rev), sortmode
  File "/usr/lib64/python2.7/site-packages/hgext/convert/subversion.py", line 299, in __init__
    self.head = self.latest(self.module, latest)
  File "/usr/lib64/python2.7/site-packages/hgext/convert/subversion.py", line 628, in latest
    revnum, realpath = findchanges(path, stop)
  File "/usr/lib64/python2.7/site-packages/hgext/convert/subversion.py", line 584, in findchanges
    for p in paths:
TypeError: 'NoneType' object is not iterable

Local variables in innermost frame:
paths: None
stream: <hgext.convert.subversion.logstream object at 0x1ec3f90>
author: None
self: <hgext.convert.subversion.svn_source object at 0x7f6cc410ee50>
stop: None
start: 318
path: ''
date: None
entry: (None, 318, None, None, None)
message: None
revnum: 318
Comment 1 Alexander Ivanov 2013-05-23 06:56:34 EDT
Created attachment 752141 [details]
File: backtrace
Comment 2 Alexander Ivanov 2013-05-23 06:56:37 EDT
Created attachment 752142 [details]
File: core_backtrace
Comment 3 Alexander Ivanov 2013-05-23 06:56:40 EDT
Created attachment 752143 [details]
File: environ
Comment 4 Fedora End Of Life 2015-01-09 13:12:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 10:19:10 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.